jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alejandro Gomez <alejandro.go...@gmail.com>
Subject migrating jackrabbit 1.6 to 2.1 using maven: jackrabbit 2 + spring modules + slf4j plus "level number 20 "... slf4j issue
Date Tue, 13 Jul 2010 15:12:29 GMT
Hi everyone:

I've been using jkr 1.6 with the maven dependencies listed below, now
I want to migrate to jkr 2.1 and I would like to know what are the
right (or at least the minimum set) maven dependencies for working
with jk2.1 ( I saw in the source code tests references to
jackrabbit-parent artifact id, I didn't find any documentation
regarding that... ).

I made some tries replacing the jackrabbit-core for jackrabbit-parent
and I obtained certain errors about incompatibilities between slf4j
and the spring modules ("level number 20 is not recognized").

BTW,  it seems there's no evidence that spring-modules-jcr support
jsr283 , Does anyone know something about that?

Thanks in advance

Alejandro Gomez

---------

maven relevant dependencies

<dependencies>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring</artifactId>
			<version>2.5.6.SEC01</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.7</version>
			<scope>test</scope>
		</dependency>
			
		<dependency>
			<groupId>javax.jcr</groupId>
			<artifactId>jcr</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.3.0</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<version>1.3.0</version>
		</dependency>
		<dependency>
			<groupId>org.apache.jackrabbit</groupId>
			<artifactId>jackrabbit-core</artifactId>
			<version>1.6.1</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.jackrabbit</groupId>
			<artifactId>jackrabbit-ocm</artifactId>
			<version>1.5.3</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.jackrabbit</groupId>
			<artifactId>jackrabbit-jcr-rmi</artifactId>
			<version>1.4.1</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springmodules</groupId>
			<artifactId>spring-modules-jcr</artifactId>
			<version>0.8a</version>
			<type>jar</type>
			<scope>compile</scope>
		    <exclusions>
                   <exclusion>
                       <groupId>jsr170</groupId>
                       <artifactId>jsr170</artifactId>
                   </exclusion>
                   <exclusion>
                       <groupId>org.apache.jackrabbit</groupId>
                       <artifactId>jackrabbit-jca</artifactId>
                   </exclusion>
                   <exclusion>
                       <groupId>jeceira</groupId>
                       <artifactId>jeceira</artifactId>
                   </exclusion>
                   <exclusion>
                       <groupId>aparzev</groupId>
                       <artifactId>doka</artifactId>
                   </exclusion>
                   <exclusion>
                       <groupId>aparzev</groupId>
                       <artifactId>commons</artifactId>
                   </exclusion>
                   <exclusion>
                       <groupId>jug</groupId>
                       <artifactId>jug-asl</artifactId>
                   </exclusion>
               </exclusions>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.1.12</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		
	</dependencies>

-- 
Lo que creas de los demás estará signado por lo que creas de ti mismo,
y del mismo modo los hechos de tu vida.

Mime
View raw message